package com.keao.edu.user.entity;

import com.keao.edu.user.enums.SettlementTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(exam_organ_relation):
 */
public class ExamOrganizationRelation {

	private Long id;

	@ApiModelProperty(value = "合作单位基本信息")
	private Organization organization;

	@ApiModelProperty(value = "考试编号")
	private Integer examinationBasicId;

	@ApiModelProperty(value = "合作单位编号")
	private Integer organId;

	@ApiModelProperty(value = "分润结算方式")
	private SettlementTypeEnum settlementType;

	@ApiModelProperty(value = "分润金额")
	private java.math.BigDecimal shareProfitAmount;

	@ApiModelProperty(value = "总报名人数")
	private Integer totalRegistrationStudentNum;

	@ApiModelProperty(value = "本单位报名学生数")
	private Integer selfRegistrationStudentNum;

	@ApiModelProperty(value = "总缴费金额")
	private BigDecimal totalPaymentAmount;

	@ApiModelProperty(value = "本单位缴费金额")
	private BigDecimal selfPaymentAmount;

	@ApiModelProperty(value = "总交易金额")
	private BigDecimal totalTransAmount;

	@ApiModelProperty(value = "链接地址")
	private String url;

	@ApiModelProperty(value = "是否已发送链接")
	private Integer sendUrlFlag;

	@ApiModelProperty(value = "是否允许排考")
	private Integer isAllowArrangeExam;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public Organization getOrganization() {
		return organization;
	}

	public void setOrganization(Organization organization) {
		this.organization = organization;
	}

	public void setExaminationBasicId(Integer examinationBasicId){
		this.examinationBasicId = examinationBasicId;
	}
	
	public Integer getExaminationBasicId(){
		return this.examinationBasicId;
	}

	public Integer getSelfRegistrationStudentNum() {
		return selfRegistrationStudentNum;
	}

	public void setSelfRegistrationStudentNum(Integer selfRegistrationStudentNum) {
		this.selfRegistrationStudentNum = selfRegistrationStudentNum;
	}

	public BigDecimal getSelfPaymentAmount() {
		return selfPaymentAmount;
	}

	public void setSelfPaymentAmount(BigDecimal selfPaymentAmount) {
		this.selfPaymentAmount = selfPaymentAmount;
	}

	public Integer getTotalRegistrationStudentNum() {
		return totalRegistrationStudentNum;
	}

	public void setTotalRegistrationStudentNum(Integer totalRegistrationStudentNum) {
		this.totalRegistrationStudentNum = totalRegistrationStudentNum;
	}

	public BigDecimal getTotalTransAmount() {
		return totalTransAmount;
	}

	public void setTotalTransAmount(BigDecimal totalTransAmount) {
		this.totalTransAmount = totalTransAmount;
	}

	public BigDecimal getTotalPaymentAmount() {
		return totalPaymentAmount;
	}

	public void setTotalPaymentAmount(BigDecimal totalPaymentAmount) {
		this.totalPaymentAmount = totalPaymentAmount;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public SettlementTypeEnum getSettlementType() {
		return settlementType;
	}

	public void setSettlementType(SettlementTypeEnum settlementType) {
		this.settlementType = settlementType;
	}

	public void setShareProfitAmount(java.math.BigDecimal shareProfitAmount){
		this.shareProfitAmount = shareProfitAmount;
	}
	
	public java.math.BigDecimal getShareProfitAmount(){
		return this.shareProfitAmount;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}

	public Integer getSendUrlFlag() {
		return sendUrlFlag;
	}

	public void setSendUrlFlag(Integer sendUrlFlag) {
		this.sendUrlFlag = sendUrlFlag;
	}

	public Integer getIsAllowArrangeExam() {
		return isAllowArrangeExam;
	}

	public void setIsAllowArrangeExam(Integer isAllowArrangeExam) {
		this.isAllowArrangeExam = isAllowArrangeExam;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
